Debian Bug report logs - #720109
lxpanel freezes before showing anything in the panel

version graph

Package: lxpanel; Maintainer for lxpanel is Debian LXDE Maintainers <lxde-debian@lists.lxde.org>; Source for lxpanel is src:lxpanel.

Reported by: Jörg-Volker Peetz <jvpeetz@web.de>

Date: Sun, 18 Aug 2013 18:18:02 UTC

Severity: normal

Found in version lxpanel/0.5.12-2

Fixed in version lxpanel/0.5.12-3

Done: Andrew Lee (李健秋) <ajqlee@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#720109; Package lxpanel. (Sun, 18 Aug 2013 18:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg-Volker Peetz <jvpeetz@web.de>:
New Bug report received and forwarded. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Sun, 18 Aug 2013 18:18:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jörg-Volker Peetz <jvpeetz@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>, "Andrew Lee (李健秋)" <ajqlee@debian.org>
Subject: lxpanel freezes before showing anything in the panel
Date: Sun, 18 Aug 2013 20:15:02 +0200
Package: lxpanel
Version: 0.5.12-2
Severity: normal

Dear Andrew, dear maintainers,

thank you very much for taking care. Meanwhile libmenu-cache3 arrived in
unstable and I tried the new version of lxpanel.
But the program doesn't work on my system. The panel shoes up but lxpanel
freezes before anything is displayed on the panel. It doesn't react to
lxpanelctl. No output is given even with "--log 5".
I also started lxpanel with strace, but this gave me no clue.
The last lines of the tracing are:

open("/usr/share/lxpanel/images/background.png", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0644, st_size=2844, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x7f848b24a000
read(7, "\211PNG\r\n\32\n\0\0\0\rIHDR\0\0\0\1\0\0\0\32\10\2\0\0\0\371f\241"...,
4096) = 2844
read(7, "", 4096)                       = 0
lseek(7, 0, SEEK_SET)                   = 0
read(7, "\211PNG\r\n\32\n\0\0\0\rIHDR\0\0\0\1\0\0\0\32\10\2\0\0\0\371f\241"...,
4096) = 2844
close(7)                                = 0
munmap(0x7f848b24a000, 4096)            = 0
getdents(5, /* 0 entries */, 32768)     = 0
close(5)                                = 0
futex(0xee2940, FUTEX_WAIT_PRIVATE, 2, NULL <unfinished ...>


Any idea?

-- 
Best regards,
Jörg-Volker.

-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (600, 'testing'), (500, 'unstable'), (5, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.10.7 (SMP w/2 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lxpanel depends on:
ii  libasound2          1.0.27.2-1
ii  libatk1.0-0         2.8.0-2
ii  libc6               2.17-7
ii  libcairo2           1.12.14-4
ii  libfontconfig1      2.10.2-2
ii  libfreetype6        2.4.9-1.1
ii  libgdk-pixbuf2.0-0  2.28.2-1
ii  libglib2.0-0        2.36.3-3
ii  libgtk2.0-0         2.24.20-1
ii  libiw30             30~pre9-8
ii  libmenu-cache3      0.5.0-1
ii  libpango1.0-0       1.32.5-5+b1
ii  libwnck22           2.30.7-1
ii  libx11-6            2:1.6.0-1
ii  lxmenu-data         0.1.2-2

lxpanel recommends no packages.

Versions of packages lxpanel suggests:
ii  iceweasel [www-browser]  23.0-1
pn  lxsession | menu         <none>
ii  lynx-cur [www-browser]   2.8.8dev.16-1

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#720109; Package lxpanel. (Mon, 19 Aug 2013 09:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee (李健秋) <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Mon, 19 Aug 2013 09:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 720109@bugs.debian.org (full text, mbox):

From: Andrew Lee (李健秋) <ajqlee@debian.org>
To: Debian Bug Tracking System <720109@bugs.debian.org>
Subject: Re: lxpanel freezes before showing anything in the panel
Date: Mon, 19 Aug 2013 16:49:03 +0800
Package: lxpanel
Followup-For: Bug #720109

Hi Jörg-Volker,

I am afraid I don't know what's went wrong as lxpanel works here.

Does any error in your ~/..xsession-errors?

Let's see anyone else can reproduce this.

Best regards,

-Andrew



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#720109; Package lxpanel. (Tue, 20 Aug 2013 16:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg-Volker Peetz <jvpeetz@web.de>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Tue, 20 Aug 2013 16:45:08 GMT) Full text and rfc822 format available.

Message #15 received at 720109@bugs.debian.org (full text, mbox):

From: Jörg-Volker Peetz <jvpeetz@web.de>
To: 720109@bugs.debian.org, "Andrew Lee (李健秋)" <ajqlee@debian.org>
Subject: Re: lxpanel freezes before showing anything in the panel
Date: Tue, 20 Aug 2013 18:41:54 +0200
Package: lxpanel
Version: 0.5.12-2

Hi Andrew,

I don't find any error messages of lxpanel, not on the console, nor in
/var/log/Xorg.0.log, nor in log of xsession.

Do you use the same versions as I of the packages lxpanel depends on?

I also started lxpanel with ltrace:

$ ltrace lxpanel --log 5

The last few lines of the output are:

XGetWindowProperty(0x1e01630, 333, 401, 0, 1)    = 0
XFree(0x1f93690, 0x1f93698, -1, 1, 0x2001ac0)    = 1
XChangeGC(0x1e01630, 0x20017d0, 1024, 0x7fff84eed830, 0x2001ac0) = 1
gtk_widget_set_app_paintable(0x1eca2d0, 1, 4, 0xe00001, 0x1e0847c) = 2
gdk_window_set_back_pixmap(0x1f28000, 0x1fc48d0, 0, 0, 0x1dfde80) = 1
g_object_unref(0x1fc48d0, 2, 4, 0x1de45a8, 0)    = 2
gdk_window_invalidate_rect(0x1f28000, 0, 1, 0, 0x1e3ad20) = 0x1e16c60
gtk_socket_get_type(0x1f28000, 0, 1, 0, 0x1e12460) = 0x1ec39a0
g_type_check_instance_is_a(0x1eca2d0, 0x1ec39a0, 1, 0, 0x1e12460) = 0
gtk_container_get_type(0x1ec39a0, 0x1ec39a0, 1, 0, 0x1dfde80) = 0x1e00dd0
g_type_check_instance_is_a(0x1eca2d0, 0x1e00dd0, 1, 0, 0x1dfde80) = 1
gtk_container_foreach(0x1eca2d0, 0x41a120, 0x1e4f7a0, 0, 0x1dfde80 <unfinished ...>
gtk_socket_get_type(0x1edfcf0, 0x1e4f7a0, 0x41a120, 0x1e4f7a0, 0x1dfde80) =
0x1ec39a0
g_type_check_instance_is_a(0x1edfcf0, 0x1ec39a0, 0x41a120, 0x1e4f7a0, 0x1dfde80) = 0
gtk_container_get_type(0x1ec39a0, 0x1ec39a0, 0, 0x1e4f7a0, 0x1e7b030) = 0x1e00dd0
g_type_check_instance_is_a(0x1edfcf0, 0x1e00dd0, 0, 0x1e4f7a0, 0x1e7b030) = 0
<... gtk_container_foreach resumed> )            = 0
g_free(0x1e4f050, 0x1e00dd0, 1, 0x1e4f7a0, 0x1e7b030) = 1873
g_slist_prepend(0, 0x1e4f7a0, 0x7fde6c195698, 0x1e4f7a0, 0) = 0x1ec0ea0
g_free(0x1e457b0, 1, 0x1ec0ea0, 0, 0)            = 0
g_dir_read_name(0x1e46a50, 0xffffffff, 0x7fde6c195660, 0, 0) = 0
g_dir_close(0x1e46a50, 0x1e47048, 32768, -1, 0)  = 0x1f93680
g_free(0x1e45600, 0, 0x7fde6c195648, 0x1f93680, 0) = 0x1e457a0
gdk_threads_enter(0x7fde6c195640, 3, 0x7fde6c195660, 0x1e457a0, 0 <unfinished ...>
--- SIGINT (Interrupt) ---
+++ killed by SIGINT +++

This was on another system with a single CPU. My main system has two cores.

Anything else I could try?

-- 
Best regards,
Jörg-Volker.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#720109; Package lxpanel. (Mon, 26 Aug 2013 11:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg-Volker Peetz <jvpeetz@web.de>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Mon, 26 Aug 2013 11:06:04 GMT) Full text and rfc822 format available.

Message #20 received at 720109@bugs.debian.org (full text, mbox):

From: Jörg-Volker Peetz <jvpeetz@web.de>
Cc: 720109@bugs.debian.org, "Andrew Lee (李健秋)" <ajqlee@debian.org>
Subject: Re: lxpanel freezes before showing anything in the panel
Date: Mon, 26 Aug 2013 13:04:03 +0200
Hi Andrew,

Jörg-Volker Peetz wrote, on 08/20/2013 18:41:
> Package: lxpanel
> Version: 0.5.12-2
> 
> Hi Andrew,
> 
> I don't find any error messages of lxpanel, not on the console, nor in
> /var/log/Xorg.0.log, nor in log of xsession.
> 
> Do you use the same versions as I of the packages lxpanel depends on?
> 
> I also started lxpanel with ltrace:
> 
> $ ltrace lxpanel --log 5
> 
> The last few lines of the output are:
> 
> XGetWindowProperty(0x1e01630, 333, 401, 0, 1)    = 0
> XFree(0x1f93690, 0x1f93698, -1, 1, 0x2001ac0)    = 1
> XChangeGC(0x1e01630, 0x20017d0, 1024, 0x7fff84eed830, 0x2001ac0) = 1
> gtk_widget_set_app_paintable(0x1eca2d0, 1, 4, 0xe00001, 0x1e0847c) = 2
> gdk_window_set_back_pixmap(0x1f28000, 0x1fc48d0, 0, 0, 0x1dfde80) = 1
> g_object_unref(0x1fc48d0, 2, 4, 0x1de45a8, 0)    = 2
> gdk_window_invalidate_rect(0x1f28000, 0, 1, 0, 0x1e3ad20) = 0x1e16c60
> gtk_socket_get_type(0x1f28000, 0, 1, 0, 0x1e12460) = 0x1ec39a0
> g_type_check_instance_is_a(0x1eca2d0, 0x1ec39a0, 1, 0, 0x1e12460) = 0
> gtk_container_get_type(0x1ec39a0, 0x1ec39a0, 1, 0, 0x1dfde80) = 0x1e00dd0
> g_type_check_instance_is_a(0x1eca2d0, 0x1e00dd0, 1, 0, 0x1dfde80) = 1
> gtk_container_foreach(0x1eca2d0, 0x41a120, 0x1e4f7a0, 0, 0x1dfde80 <unfinished ...>
> gtk_socket_get_type(0x1edfcf0, 0x1e4f7a0, 0x41a120, 0x1e4f7a0, 0x1dfde80) =
> 0x1ec39a0
> g_type_check_instance_is_a(0x1edfcf0, 0x1ec39a0, 0x41a120, 0x1e4f7a0, 0x1dfde80) = 0
> gtk_container_get_type(0x1ec39a0, 0x1ec39a0, 0, 0x1e4f7a0, 0x1e7b030) = 0x1e00dd0
> g_type_check_instance_is_a(0x1edfcf0, 0x1e00dd0, 0, 0x1e4f7a0, 0x1e7b030) = 0
> <... gtk_container_foreach resumed> )            = 0
> g_free(0x1e4f050, 0x1e00dd0, 1, 0x1e4f7a0, 0x1e7b030) = 1873
> g_slist_prepend(0, 0x1e4f7a0, 0x7fde6c195698, 0x1e4f7a0, 0) = 0x1ec0ea0
> g_free(0x1e457b0, 1, 0x1ec0ea0, 0, 0)            = 0
> g_dir_read_name(0x1e46a50, 0xffffffff, 0x7fde6c195660, 0, 0) = 0
> g_dir_close(0x1e46a50, 0x1e47048, 32768, -1, 0)  = 0x1f93680
> g_free(0x1e45600, 0, 0x7fde6c195648, 0x1f93680, 0) = 0x1e457a0
> gdk_threads_enter(0x7fde6c195640, 3, 0x7fde6c195660, 0x1e457a0, 0 <unfinished ...>

It seems that gdk_threads_enter() gets called twice. I took a look at the file
lxpanel_0.5.12-2.debian.tar.xz, especially the files in the debian/patches
directory. I saw there an old patch file from 0.5.10 "fix_gtk_main.diff" which
adds a call to "gdk_threads_enter()" right before the "gtk_main()" line. Could
it be that this patch still gets applied in the building process?

Otherwise I can't understand why "gdk_threads_enter()" gets called twice.

<snip>
-- 
Regards,
jvp




Reply sent to Andrew Lee (李健秋) <ajqlee@debian.org>:
You have taken responsibility. (Mon, 26 Aug 2013 15:24:23 GMT) Full text and rfc822 format available.

Notification sent to Jörg-Volker Peetz <jvpeetz@web.de>:
Bug acknowledged by developer. (Mon, 26 Aug 2013 15:24:23 GMT) Full text and rfc822 format available.

Message #25 received at 720109-close@bugs.debian.org (full text, mbox):

From: Andrew Lee (李健秋) <ajqlee@debian.org>
To: 720109-close@bugs.debian.org
Subject: Bug#720109: fixed in lxpanel 0.5.12-3
Date: Mon, 26 Aug 2013 15:20:56 +0000
Source: lxpanel
Source-Version: 0.5.12-3

We believe that the bug you reported is fixed in the latest version of
lxpanel, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720109@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Lee (李健秋) <ajqlee@debian.org> (supplier of updated lxpanel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 Aug 2013 19:47:13 +0800
Source: lxpanel
Binary: lxpanel lxpanel-dbg
Architecture: source amd64
Version: 0.5.12-3
Distribution: unstable
Urgency: low
Maintainer: Debian LXDE Maintainers <lxde-debian@lists.lxde.org>
Changed-By: Andrew Lee (李健秋) <ajqlee@debian.org>
Description: 
 lxpanel    - LXDE panel
 lxpanel-dbg - LXDE panel (debug)
Closes: 720109
Changes: 
 lxpanel (0.5.12-3) unstable; urgency=low
 .
   * Revert fix_gtk_main.diff. (Closes:#720109)
Checksums-Sha1: 
 6b00c15f2171150c097f4ca433e035373a3c94ee 1554 lxpanel_0.5.12-3.dsc
 944dd1380029e640b4be81b5ab61961056d62bfe 12396 lxpanel_0.5.12-3.debian.tar.xz
 c67927016e07eea212f69dc57df577ef59d934b3 1131516 lxpanel_0.5.12-3_amd64.deb
 76950aeb3931f2c541df0b677f3d2523c2caf134 717420 lxpanel-dbg_0.5.12-3_amd64.deb
Checksums-Sha256: 
 5c9b32f6d68e60110d4006e42d8e3a8a0a6d79bc492b01061fb7f4f05ae1b6e3 1554 lxpanel_0.5.12-3.dsc
 cfa0e5dc7dbe095d5c75f690cd2fc3a93900a68a8269d8e48d976a961aa7e4b1 12396 lxpanel_0.5.12-3.debian.tar.xz
 d737a3e81646dab22ed354ba24db9258f53a5fea6296b8ba5128826c90b61b56 1131516 lxpanel_0.5.12-3_amd64.deb
 ad655a4bb5745ddcf52838e7b1aa7e3c08e0e620101c336d841183554cbed2ad 717420 lxpanel-dbg_0.5.12-3_amd64.deb
Files: 
 37bc26c5c9f7e9e6cc0138e34278ebdd 1554 x11 optional lxpanel_0.5.12-3.dsc
 a786f8590dd5345a178db7836e1abc18 12396 x11 optional lxpanel_0.5.12-3.debian.tar.xz
 1b0e9fc08b4c90256e59e3f42edddd24 1131516 x11 optional lxpanel_0.5.12-3_amd64.deb
 9fb99f2094411e078741727d51b305b2 717420 debug extra lxpanel-dbg_0.5.12-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlIbTKUACgkQnQYz4bYlCYXF7wCfV7wFiVrDzvEooJTe4w/LrqDR
vyMAoOAEdqIbe7IZtGNMQwQLSrAO5/pe
=LYGR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Sep 2013 07:26:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:34:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.